<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [TIX](./bitburner.tix.md) &gt; [getPurchaseCost](./bitburner.tix.getpurchasecost.md)

## TIX.getPurchaseCost() method

Calculates cost of buying stocks.

**Signature:**

```typescript
getPurchaseCost(sym: string, shares: number, posType: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sym | string | Stock symbol. |
|  shares | number | Number of shares to purchase. |
|  posType | string | Specifies whether the order is a “Long” or “Short” position. |

**Returns:**

number

Cost to buy a given number of shares of a stock.

## Remarks

RAM cost: 2 GB Calculates and returns how much it would cost to buy a given number of shares of a stock. This takes into account spread, large transactions influencing the price of the stock and commission fees.

